Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-14677

jobs that depend on com.googlecode.maven-download-plugin:maven-download-plugin:1.1.0-SNAPSHOT are broken as that version no longer exists

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 4.1.0.Beta1
    • Fix Version/s: 4.1.0.Beta1
    • Component/s: build
    • Labels:
      None

      Description

      21 jenkins jobs such as ./DevStudio/view/DevStudio_Trunk/job/jbosstools-4.1_trunk.install-tests.matrix/config.xml and ./DevStudio/view/DevStudio_Trunk/job/jbosstools-composite-install_master/config.xml, which depend on com.googlecode.maven-download-plugin:maven-download-plugin:1.1.0-SNAPSHOT, are currently failing. I suspect this is because the 1.1.0 release has happened.

      Complete list of config.xml files containing the string "maven-download-plugin:1" are:

      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.director-install-tests.egit.matrix/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.director-install-tests.m2e.matrix/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.install-e3.7.0-jbt_3.3.x/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.install-e3.7.2-jbt_3.3.0-jbt_3.3.x/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.install-e4.2-jbt_3.3.x/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.install-tests.egit.matrix/config.xml
      ./DevStudio/view/DevStudio_5.0.indigo/job/jbosstools-3.3_stable_branch.install-tests.m2e.matrix/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbdevstudio-6.0_stable_branch.install-tests-e4.2-jbds_BYOE_stable_branch/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbdevstudio-6.0_stable_branch.install-tests-eclipseLatest-jbds_BYOE_stable_branch/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbosstools-4.0_stable_branch.install-tests-e4.2-jbt_4.0.juno/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbosstools-4.0_stable_branch.install-tests-eclipseLatest-jbt_4.0.juno/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbosstools-4.0_stable_branch.install-tests.matrix/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbosstools-4.0_stable_branch.upgrade-tests.matrix/config.xml
      ./DevStudio/view/DevStudio_6.0.juno/job/jbosstools-composite-install_40/config.xml
      ./DevStudio/view/DevStudio_7.0.kepler/job/jbosstools-composite-install_41/config.xml
      ./DevStudio/view/DevStudio_Disabled/job/zz_disabled_jbdevstudio-7.0_trunk.install-tests-eclipseLatest-jbds_BYOE_trunk/config.xml
      ./DevStudio/view/DevStudio_Disabled/job/zz_disabled_jbosstools-4.1_trunk.install-tests-eclipseLatest-jbt_trunk/config.xml
      ./DevStudio/view/DevStudio_Trunk/job/jbosstools-4.1_trunk.install-tests-e4.3-jbt_trunk/config.xml
      ./DevStudio/view/DevStudio_Trunk/job/jbosstools-4.1_trunk.install-tests-eclipseLatest-jbt_trunk/config.xml
      ./DevStudio/view/DevStudio_Trunk/job/jbosstools-4.1_trunk.install-tests.matrix/config.xml
      ./DevStudio/view/DevStudio_Trunk/job/jbosstools-composite-install_master/config.xml
      
      

      Can you update the above jobs to use the correct new version, either 1.2.0-SNAPSHOT or 1.1.0 ?

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                nickboldt Nick Boldt
                Reporter:
                nickboldt Nick Boldt
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: